Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	free implementation of Windows(tm) on Unix
Name:		wine
Version:	1.1.5
Release:	1
Group:		Emulators
License:	GNU/LGPL
BuildArch:	i686
Source:		%{name}-%{version}.tar.bz2
Source1:	winetools-0.9jo-III.tar.gz
Source2:	wt2.desktop
Patch0:		wine-wtversion.patch
Patch1:		wine-cflags.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
Requires:	sane-backends
Requires:	ncurses
Requires:	alsa-lib
Requires:	jack-audio-connection-kit
Requires:	arts
Requires:	cups
Requires:	libjpeg
Requires:	freeglut
Requires:	lcms
Requires:	wget
Requires:	libxml2
BuildRequires:	alsa-lib-devel
BuildRequires:	arts-devel
BuildRequires:	cups-devel
BuildRequires:	freeglut-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	audiofile-devel
BuildRequires:	glibc-devel
BuildRequires:	esound-devel
BuildRequires:	glib-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	openldap-devel
BuildRequires:	lcms-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	zlib-devel
#BuildRequires:	gtk+-devel
BuildRequires:	sane-backends-devel
BuildRequires:	ncurses-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libjpeg-devel
BuildRequires:	giflib-devel
BuildRequires:	openssl-devel
BuildRequires:	hal-devel
BuildRequires:	dbus-devel
BuildRequires:	fontforge
BuildRequires:	perl
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXxf86vm-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
free implementation of Windows(tm) on Unix
try wine-winetools for easy Configuration with wt2


%package devel
Summary: 	wine development headers.and tools
Group:     	Emulators
Requires: 	wine = %{version}-%{release}

%description devel
Header, include files and tools for developing applications with wine.

%package winetools
Summary: 	tools for configuring wine easily
Group:     	Emulators
Requires: 	wine = %{version}-%{release}

%description winetools
winetools for easy Configuration with wt2
Usage: Start wt2 as normal user


%prep

%setup -q -n %{name}-%{version}
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
mkdir -p Zusatz
tar xfzp %{SOURCE1} -C Zusatz/
%patch0 -p1
%patch1 -p1
sed -i "s/\/usr\/local\//\/usr\//" Zusatz/winetools-0.9jo-III/findwine
sed -i "s/\/usr\/local\//\/usr\//" Zusatz/winetools-0.9jo-III/wt0.9jo
sed -i "s/\/usr\/local\//\/usr\//" Zusatz/winetools-0.9jo-III/install
# Fix corefont Download the umn.dl.so.. war beim Test nicht erreichbar
sed -i "s/umn\.dl\.sourceforge\.net/mesh\.dl\.sourceforge\.net/" Zusatz/winetools-0.9jo-III/wt0.9jo

%build
export CC=gcc 
export MAKE=make 
export CFLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer"
export CXXFLAGS="$CFLAGS"
export ac_cv_header_jack_jack_h=yes
export ac_cv_header_cups_cups_h=yes
export ac_cv_header_alsa_asoundlib_h=yes
export ac_cv_header_sys_asoundlib_h=yes
export ac_cv_lib_asound_snd_pcm_open=yes
export ac_cv_lib_glut_glutMainLoop=yes
export ac_cv_header_jpeglib_h=yes
export ac_cv_header_lcms_h=yes
export LDFLAGS="$LDFLAGS -I/usr/include/lcms"
unset CFLAGS
unset CXXFLAGS
./configure --prefix=%_prefix \
--bindir=%_bindir \
--datadir=%_datadir \
--sysconfdir=%_sysconfdir/wine \
--mandir=%_mandir \
--libdir=%_libdir \
--with-curses \
--with-x \
--with-opengl
make depend
make all

%install
rm -rf $RPM_BUILD_ROOT
make 	prefix=$RPM_BUILD_ROOT%_prefix \
	bindir=$RPM_BUILD_ROOT%_bindir \
	datadir=$RPM_BUILD_ROOT%_datadir \
	includedir=$RPM_BUILD_ROOT%_includedir/wine \
	sysconfdir=$RPM_BUILD_ROOT%_sysconfdir/wine \
	mandir=$RPM_BUILD_ROOT%_mandir \
	libdir=$RPM_BUILD_ROOT%_libdir \
	dlldir=$RPM_BUILD_ROOT%_libdir/wine \
	install
find $RPM_BUILD_ROOT%_mandir -type f -exec gzip -9 \{\} \;
mkdir -p $RPM_BUILD_ROOT%_prefix/winetools
cp -R Zusatz/winetools-0.9jo-III/* $RPM_BUILD_ROOT%_prefix/winetools

# install desktop file
install -m 755 -d $RPM_BUILD_ROOT%_datadir/applications
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_datadir/applications
install -m 755 -d $RPM_BUILD_ROOT%_datadir/icons/hicolor/32x32/apps
install -m 644 Zusatz/winetools-0.9jo-III/icon/winetools.png $RPM_BUILD_ROOT%_datadir/icons/hicolor/32x32/apps/winetools.png
# convenience links
ln -sf /usr/winetools/wt0.9jo $RPM_BUILD_ROOT%_bindir/wt2
ln -sf /usr/winetools/wt0.9jo $RPM_BUILD_ROOT%_bindir/winetools
ln -sf /usr/winetools/findwine $RPM_BUILD_ROOT%_bindir/findwine
# localization
cd $RPM_BUILD_ROOT%_prefix/winetools/po
for i in $( ls  *.po|cut -f1 -d.); do
        mkdir -p $RPM_BUILD_ROOT%_locale/$i/LC_MESSAGES
        msgfmt $i.po -o $RPM_BUILD_ROOT%_locale/$i/LC_MESSAGES/wt2.mo
done


# x.org doesn't have Xdialog anymore - use internal Xdialog instead
rm -f $RPM_BUILD_ROOT%_prefix/winetools/Xdialog
ln -s /usr/winetools/Xdialog.builtin $RPM_BUILD_ROOT%_prefix/winetools/Xdialog
# stripping files
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc documentation/README* ANNOUNCE AUTHORS README 
%_bindir
%_mandir/*UTF-8/man1
%_mandir/man1
%_libdir
%_applications
%_locale
%_datadir/aclocal/wine.m4
%_datadir/wine
%_datadir/icons
%exclude /usr/share/applications/wt2.desktop

%files devel
%defattr(-,root,root)
%_includedir
%_bindir/winegcc
%_bindir/wineg++
%_bindir/winecpp

%files winetools
%defattr(-,root,root)
%_prefix/winetools
%_bindir/wt2
%_bindir/winetools
%_bindir/findwine
/usr/share/applications/wt2.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5-1
- Version update
* Fri Sep 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.4-1
- Version update
* Sat Aug 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- Version update
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version update
* Fri Jul 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Version update
* Wed Jun 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-7
- Version update
- final release
* Sat Jun 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-6
- Version update
- rc5
* Sat Jun 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-5
- Version update
- rc4
* Sat May 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-4
- Version update
- rc3
* Sun May 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-3
- added lzma compression enabled rpm as requirement
* Fri May 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-2
- Version update
- rc2
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0-1
- Version update
- rc1
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.61-1
- Version update
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.60-1
- Version update
* Fri Apr 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.59-1
- Version update
* Fri Mar 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.58-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.57-1
- Version update
* Sat Feb 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.56-1
- Version update
* Fri Feb 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.55-1
- Version update
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.54-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.53-1
- Version update
* Sat Dec 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.52-1
- Version update
* Fri Dec 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.51-1
- Version update
* Sat Dec 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.50-1
- Version update
* Sat Nov 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.49-1
- Version update
* Sat Oct 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.48-1
- Version update
* Sat Oct 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.47-1
- Version update
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.46-1
- Version update
* Thu Sep 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.45-2
- set to more conservative CFLAGS
* Sat Sep 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.45-1
- Version update
* Sun Aug 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.44-1
- Version update
* Sat Aug 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.43-1
- Version update
* Mon Jul 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.42-1
- Version update
* Sun Jul 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.41-1
- Version update
* Sun Jul 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.40-1
- Version update
* Fri Jun 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.39-1
- Version update
* Mon Jun 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.38-1
- Version update
* Sat May 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.37-1
- Version update
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.36-1
- Version update
* Sat Apr 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.35-1
- Version update
* Fri Mar 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.34-1
- Version update
* Sun Mar 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.33-1
- Version update
* Fri Mar 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.32-1
- Version update
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.31-1
- Version update
* Wed Feb 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.30-1
- Version update
* Mon Dec 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.28-1
- Version update
* Fri Dec 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.26-1
- Version update
* Sat Nov 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.25-1
- Version update
* Wed Nov 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.24-1
- Version update
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.21-1
- version update of wine
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.20-2
- rebuilt against X.org 7.1.1
* Sun Aug 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.20-1
- version update of wine
* Mon Aug 21 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.19-1
- Version update
* Thu Aug 3 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.18-1
- Version update
* Sat Jul 15 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.17-1
- Version update, added devel and winetools packages
* Thu Jun 22 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.16-1
- Version update
* Tue Jun 13 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.15-1
- Version update
* Thu May 25 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.14-1
- Version update
* Tue May 16 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.9.13-1
- Version update
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 0.9.10-1
- Version update
* Fri Mar 10 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.9.9-1
- version update of wine and the winetools
* Thu Feb 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.8-1
- version update of wine
* Sat Feb 04 2006 Christian Wasem <wasem@ccux-linux.de> 0.9.7-1
- Version Update of Wine, fixed License and Group
* Fri Jan 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.6-1
- Version Update of Wine
* Mon Jan 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.5-2 
- patched WMF vulnerability
* Wed Jan 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.5-1
- Version Update of Wine, added desktop file
* Tue Dec 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.9.4-2
- rebuilt, tweaked specfile, fixed BUG #0000125
* Sat Dec 24 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-1
- Version Update
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Version Update
* Sun Nov 06 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.9-1
- Version Update 
* Fri Mar 25 2005 Stefan Gottwald <sg3881@web.de> 
- add winetools to wine RPM for easier Configuration
* Tue Mar 24 2005 Stefan Gottwald <sg3881@web.de>
- Initial Build
